Hazus Canada Application Request

If you would like to receive a copy of the Hazus Canada application, please use the form below.

We recommend that you join the Canadian Hazus Users Group (CanHUG) to learn best practices for its use, share experiences, and assist in validation of the tool.  The current version of Hazus is applicable for the EARTHQUAKE and FLOOD module.  The application requires esri's ArcGIS v.10.0.

 

The Hazus Canada Earthquake and Flood Module can be downloaded here

The Hazus Canada Earthquake Technical Manual can be downloaded here

The Hazus Canada Flood Technical Manual can be downloaded here

* indicates mandatory fields

Do you want to be a member of the CanHUG mailing list